/*
 * WARNING: This file is auto-generated by an internal Red Hat script and,
 * in general, should not be modified by hand.
 */

/*
 * The following tables are used by Red Hat to define what hardware and drivers
 * are unsupported, or have limited support in RHEL major and minor releases.
 *
 * Generally, the process of disabling a driver or device in RHEL requires the
 * driver or device to be marked as 'deprecated' in all existing releases, and
 * then either 'unmaintained' or 'disabled' in a future release.
 *
 * In general, deprecated and unmaintained drivers continue to receive security
 * related fixes until they are disabled.
 */
 
#ifndef __RH_MESSAGES_H
#define __RH_MESSAGES_H

#include <linux/version.h>
#include <linux/pci.h>

#define DEV_DESC_LEN 256

#define RH_UNMAINT_HW "Warning: Unmaintained Hardware is detected: %s:%s\n"

#define RH_UNMAINT_DR "Warning: Unmaintained driver is detected: %s\n"

#define RH_DEPRECATED_HW "Warning: Deprecated Hardware is detected: %s:%s " \
			 "will not be maintained in a future major release " \
			 "and may be disabled\n"

#define RH_DEPRECATED_DR "Warning: Deprecated Driver is detected: %s will " \
			 "not be maintained in a future major release and " \
			 "may be disabled\n"

#define RH_DISABLED_HW "Warning: Disabled Hardware is detected: %s:%s is " \
		       "no longer enabled in this release.\n"

#define RH_TECH_PREVIEW "TECH PREVIEW: %s may not be fully supported.\n" \
			"Please review provided documentation for " \
			"limitations.\n"

#define RH_PARTNER_SUPPORTED "Warning: %s is a Partner supported GPL " \
			     "module and not supported directly by Red Hat.\n"

#if RHEL_MAJOR == 9

static const char *rh_deprecated_drivers[] = {
	0     /* Terminating entry */
};

static const char *rh_deprecated_init_fns[] = {
	0     /* Terminating entry */
};

static const char *rh_unmaintained_drivers[] = {
	0     /* Terminating entry */
};

static const char *rh_unmaintained_init_fns[] = {
	0     /* Terminating entry */
};

static const struct pci_device_id rh_deprecated_pci_devices[] = {
	{0}     /* Terminating entry */
};

static const struct pci_device_id rh_disabled_pci_devices[] = {
	{0}     /* Terminating entry */
};

static const struct pci_device_id rh_unmaintained_pci_devices[] = {
	{0}     /* Terminating entry */
};

#else /* RHEL-10 */

static const char *rh_deprecated_drivers[] = {
	0     /* Terminating entry */
};

static const char *rh_deprecated_init_fns[] = {
	0     /* Terminating entry */
};

static const char *rh_unmaintained_drivers[] = {
	0     /* Terminating entry */
};

static const char *rh_unmaintained_init_fns[] = {
	0     /* Terminating entry */
};

static const struct pci_device_id rh_deprecated_pci_devices[] = {
	{0}     /* Terminating entry */
};

static const struct pci_device_id rh_disabled_pci_devices[] = {
	{0}     /* Terminating entry */
};

static const struct pci_device_id rh_unmaintained_pci_devices[] = {
	{0}     /* Terminating entry */
};
#endif /* RHEL_MAJOR */

#endif /* __RH_MESSAGES_H */
